#pragma once

namespace ta::foundation
{
struct RgbaColor
{
    float r = 1.0f;
    float g = 1.0f;
    float b = 1.0f;
    float a = 1.0f;

    bool operator==(const RgbaColor&) const = default;
};

template <typename ColorLike>
inline RgbaColor to_rgba(const ColorLike& value)
{
    return {value.x, value.y, value.z, value.w};
}
}
